> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses customers payment methods



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/customers/{customerId}/payment-methods/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/customers/{customerId}/payment-methods/{id}:
    put:
      tags:
        - CustomerPaymentMethod
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsPaymentMethodUpdateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsPaymentMethodUpdateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsPaymentMethodUpdateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    PaymentMethodsPaymentMethodUpdateRequest:
      type: object
      properties:
        customerId:
          type: integer
          format: int64
      additionalProperties: false

````